<?xml version="1.0" encoding="UTF-8"?>
<!--
Linkbase:  Taxonomía para Grupo 1 - Cierre de 2025:  2025-12-31 - Versión: 3
 Creada por la Superintendencia de Servicios Públicos Domiciliarios. 
 Archivos generados el: 2026/04/29 - 17:54
 Basada en: XBRL Versión 2.1. 





 Desarrollada por: 
                             Juan Carlos Rodríguez Rivera -  https://www.linkedin.com/in/juan-carlos-rodriguez-xbrl/ - jcoolcat@gmail.com - +57 3016662961
-->
<!-- Generated with Reporting Standard S.L. XBRL Taxonomy builder version 20.26.1.1483 - http://www.reportingstandard.com -->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase"
               xmlns:gen="http://xbrl.org/2008/generic"
               xmlns:xlink="http://www.w3.org/1999/xlink"
               xmlns:validation="http://xbrl.org/2008/validation"
               xmlns:xs="http://www.w3.org/2001/XMLSchema"
               xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
               xmlns:variable="http://xbrl.org/2008/variable"
               xmlns:cf="http://xbrl.org/2008/filter/concept"
               xmlns:df="http://xbrl.org/2008/filter/dimension"
               xmlns:pf="http://xbrl.org/2008/filter/period"
               xmlns:va="http://xbrl.org/2008/assertion/value"
               xmlns:msg="http://xbrl.org/2010/message"
               xmlns:ifrs-full="https://xbrl.ifrs.org/taxonomy/2022-03-24/ifrs-full"
               xmlns:co-sspd-ef-Grupo1="http://www.superservicios.gov.co/xbrl/niif/ef/core/2025-12-31"
               xsi:schemaLocation="http://xbrl.org/2008/variable http://www.xbrl.org/2008/variable.xsd http://xbrl.org/2008/filter/concept http://www.xbrl.org/2008/concept-filter.xsd http://xbrl.org/2008/filter/dimension http://www.xbrl.org/2008/dimension-filter.xsd http://xbrl.org/2008/filter/period http://www.xbrl.org/2008/period-filter.xsd http://xbrl.org/2008/assertion/value http://www.xbrl.org/2008/value-assertion.xsd http://xbrl.org/2010/message http://www.xbrl.org/2010/generic-message.xsd http://xbrl.org/2008/generic http://www.xbrl.org/2008/generic-link.xsd http://xbrl.org/2008/validation http://www.xbrl.org/2008/validation.xsd http://www.w3.org/2001/XMLSchema http://www.w3.org/2001/XMLSchema.xsd https://xbrl.ifrs.org/taxonomy/2022-03-24/ifrs-full https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd http://www.superservicios.gov.co/xbrl/niif/ef/core/2025-12-31 ../../../Comun/co-sspd-ef-Grupo1_2025-12-31.xsd">
  <link:roleRef xlink:type="simple" roleURI="http://www.superservicios.gov.co/xbrl/ifrs/2025-12-31/co-sspd_ias-7_2025-12-31_role-con-510000" xlink:href="../co-sspd_ias-7_2025-12-31_role-con-510000.xsd#co-sspd_ias-7_2025-12-31_role-con-510000"/>
  <link:roleRef xlink:type="simple" roleURI="http://www.xbrl.org/2010/role/message" xlink:href="http://www.xbrl.org/2010/generic-message.xsd#standard-message"/>
  <link:arcroleRef xlink:type="simple" arcroleURI="http://xbrl.org/arcrole/2008/assertion-set" xlink:href="http://www.xbrl.org/2008/validation.xsd#assertion-set"/>
  <link:arcroleRef xlink:type="simple" arcroleURI="http://xbrl.org/arcrole/2010/assertion-satisfied-message" xlink:href="http://www.xbrl.org/2010/validation-message.xsd#assertion-satisfied-message"/>
  <link:arcroleRef xlink:type="simple" arcroleURI="http://xbrl.org/arcrole/2010/assertion-unsatisfied-message" xlink:href="http://www.xbrl.org/2010/validation-message.xsd#assertion-unsatisfied-message"/>
  <link:arcroleRef xlink:type="simple" arcroleURI="http://xbrl.org/arcrole/2008/variable-set" xlink:href="http://www.xbrl.org/2008/variable.xsd#variable-set"/>
  <link:arcroleRef xlink:type="simple" arcroleURI="http://xbrl.org/arcrole/2008/variable-filter" xlink:href="http://www.xbrl.org/2008/variable.xsd#variable-filter"/>
  <gen:link xlink:type="extended" xlink:role="http://www.superservicios.gov.co/xbrl/ifrs/2025-12-31/co-sspd_ias-7_2025-12-31_role-con-510000">
    <validation:assertionSet xlink:type="resource" id="assertionSet" xlink:label="lbl126123"/>
    <va:valueAssertion xlink:type="resource" id="FRM_510000_001" aspectModel="dimensional" implicitFiltering="true" test="$VariacionEfectivo eq ($EfectivoActual - $EfectivoAnterior)" xlink:label="lbl126120"/>
    <gen:arc xlink:type="arc" xlink:arcrole="http://xbrl.org/arcrole/2008/assertion-set" xlink:from="lbl126123" xlink:to="lbl126120"/>
    <va:valueAssertion xlink:type="resource" id="FRM_510000_002" aspectModel="dimensional" implicitFiltering="true" test="$VariacionEfectivo eq ($EfectivoActual - $EfectivoAnterior)" xlink:label="lbl126136"/>
    <gen:arc xlink:type="arc" xlink:arcrole="http://xbrl.org/arcrole/2008/assertion-set" xlink:from="lbl126123" xlink:to="lbl126136"/>
    <msg:message xlink:type="resource" id="FRM_510000_001_OKMsg" xml:lang="es" xlink:role="http://www.xbrl.org/2010/role/message" xlink:label="lbl126121">OK: ESF - FRM_510000_001</msg:message>
    <gen:arc xlink:type="arc" xlink:arcrole="http://xbrl.org/arcrole/2010/assertion-satisfied-message" xlink:from="lbl126120" xlink:to="lbl126121"/>
    <msg:message xlink:type="resource" id="FRM_510000_002_OKMsg" xml:lang="es" xlink:role="http://www.xbrl.org/2010/role/message" xlink:label="lbl126137">OK: ESF - FRM_510000_002</msg:message>
    <gen:arc xlink:type="arc" xlink:arcrole="http://xbrl.org/arcrole/2010/assertion-satisfied-message" xlink:from="lbl126136" xlink:to="lbl126137"/>
    <msg:message xlink:type="resource" id="FRM_510000_001_ERRMsg" xml:lang="es" xlink:role="http://www.xbrl.org/2010/role/message" xlink:label="lbl126122">Formulario [510000] Estado de flujos de efectivo, método directo: El valor reportado para 'Incremento (disminución) neto del efectivo y equivalentes de efectivo después del efecto de los cambios en la tasa de cambio' columna 'Total flujo de efectivo', en el periodo actual debe ser igual a la diferencia entre 'Efectivo y equivalentes al efectivo' del periodo actual, y 'Efectivo y equivalentes al efectivo' del periodo anterior . (FRM_510000_001)</msg:message>
    <gen:arc xlink:type="arc" xlink:arcrole="http://xbrl.org/arcrole/2010/assertion-unsatisfied-message" xlink:from="lbl126120" xlink:to="lbl126122"/>
    <msg:message xlink:type="resource" id="FRM_510000_002_ERRMsg" xml:lang="es" xlink:role="http://www.xbrl.org/2010/role/message" xlink:label="lbl126138">Formulario [510000] Estado de flujos de efectivo, método directo: El valor reportado para 'Incremento (disminución) neto del efectivo y equivalentes de efectivo después del efecto de los cambios en la tasa de cambio' columna 'Total flujo de efectivo', en el periodo actual debe ser igual a la diferencia entre 'Efectivo y equivalentes al efectivo' del periodo anterior, y 'Efectivo y equivalentes al efectivo' del periodo anterior . (FRM_510000_002)</msg:message>
    <gen:arc xlink:type="arc" xlink:arcrole="http://xbrl.org/arcrole/2010/assertion-unsatisfied-message" xlink:from="lbl126136" xlink:to="lbl126138"/>
    <variable:factVariable xlink:type="resource" id="FRM_510000_001_VariacionEfectivo" bindAsSequence="false" fallbackValue="0" xlink:label="lbl126108"/>
    <variable:variableArc xlink:type="arc" xlink:arcrole="http://xbrl.org/arcrole/2008/variable-set" name="VariacionEfectivo" xlink:from="lbl126120" xlink:to="lbl126108"/>
    <variable:factVariable xlink:type="resource" id="FRM_510000_001_EfectivoActual" bindAsSequence="false" fallbackValue="0" xlink:label="lbl126112"/>
    <variable:variableArc xlink:type="arc" xlink:arcrole="http://xbrl.org/arcrole/2008/variable-set" name="EfectivoActual" xlink:from="lbl126120" xlink:to="lbl126112"/>
    <variable:factVariable xlink:type="resource" id="FRM_510000_001_EfectivoAnterior" bindAsSequence="false" fallbackValue="0" xlink:label="lbl126116"/>
    <variable:variableArc xlink:type="arc" xlink:arcrole="http://xbrl.org/arcrole/2008/variable-set" name="EfectivoAnterior" xlink:from="lbl126120" xlink:to="lbl126116"/>
    <variable:factVariable xlink:type="resource" id="FRM_510000_002_VariacionEfectivo" bindAsSequence="false" fallbackValue="0" xlink:label="lbl126124"/>
    <variable:variableArc xlink:type="arc" xlink:arcrole="http://xbrl.org/arcrole/2008/variable-set" name="VariacionEfectivo" xlink:from="lbl126136" xlink:to="lbl126124"/>
    <variable:factVariable xlink:type="resource" id="FRM_510000_002_EfectivoActual" bindAsSequence="false" fallbackValue="0" xlink:label="lbl126128"/>
    <variable:variableArc xlink:type="arc" xlink:arcrole="http://xbrl.org/arcrole/2008/variable-set" name="EfectivoActual" xlink:from="lbl126136" xlink:to="lbl126128"/>
    <variable:factVariable xlink:type="resource" id="FRM_510000_002_EfectivoAnterior" bindAsSequence="false" fallbackValue="0" xlink:label="lbl126132"/>
    <variable:variableArc xlink:type="arc" xlink:arcrole="http://xbrl.org/arcrole/2008/variable-set" name="EfectivoAnterior" xlink:from="lbl126136" xlink:to="lbl126132"/>
    <cf:conceptName xlink:type="resource" id="FRM_510000_001_VariacionEfectivo_FC" xlink:label="lbl126109">
      <cf:concept>
        <cf:qname>ifrs-full:IncreaseDecreaseInCashAndCashEquivalents</cf:qname>
      </cf:concept>
    </cf:conceptName>
    <variable:variableFilterArc xlink:type="arc" xlink:arcrole="http://xbrl.org/arcrole/2008/variable-filter" complement="false" cover="true" xlink:from="lbl126108" xlink:to="lbl126109"/>
    <df:explicitDimension xlink:type="resource" id="FRM_510000_001_VariacionEfectivo_EDF" xlink:label="lbl126110">
      <df:dimension>
        <df:qname>co-sspd-ef-Grupo1:EstadoFlujosEfectivoDirectoEje</df:qname>
      </df:dimension>
      <df:member>
        <df:qname>co-sspd-ef-Grupo1:TotalFlujosEfectivoAcumuladoMember</df:qname>
      </df:member>
    </df:explicitDimension>
    <variable:variableFilterArc xlink:type="arc" xlink:arcrole="http://xbrl.org/arcrole/2008/variable-filter" complement="false" cover="true" xlink:from="lbl126108" xlink:to="lbl126110"/>
    <pf:periodEnd xlink:type="resource" id="FRM_510000_001_VariacionEfectivo_PEF" date="xs:date('2025-12-31')" xlink:label="lbl126111"/>
    <variable:variableFilterArc xlink:type="arc" xlink:arcrole="http://xbrl.org/arcrole/2008/variable-filter" complement="false" cover="true" xlink:from="lbl126108" xlink:to="lbl126111"/>
    <cf:conceptName xlink:type="resource" id="FRM_510000_001_EfectivoActual_FC" xlink:label="lbl126113">
      <cf:concept>
        <cf:qname>ifrs-full:CashAndCashEquivalents</cf:qname>
      </cf:concept>
    </cf:conceptName>
    <variable:variableFilterArc xlink:type="arc" xlink:arcrole="http://xbrl.org/arcrole/2008/variable-filter" complement="false" cover="true" xlink:from="lbl126112" xlink:to="lbl126113"/>
    <df:explicitDimension xlink:type="resource" id="FRM_510000_001_EfectivoActual_EDF" xlink:label="lbl126114">
      <df:dimension>
        <df:qname>co-sspd-ef-Grupo1:EstadoFlujosEfectivoDirectoEje</df:qname>
      </df:dimension>
      <df:member>
        <df:qname>co-sspd-ef-Grupo1:TotalFlujosEfectivoAcumuladoMember</df:qname>
      </df:member>
    </df:explicitDimension>
    <variable:variableFilterArc xlink:type="arc" xlink:arcrole="http://xbrl.org/arcrole/2008/variable-filter" complement="false" cover="true" xlink:from="lbl126112" xlink:to="lbl126114"/>
    <pf:periodInstant xlink:type="resource" id="FRM_510000_001_EfectivoActual_PIF" date="xs:date('2025-12-31')" xlink:label="lbl126115"/>
    <variable:variableFilterArc xlink:type="arc" xlink:arcrole="http://xbrl.org/arcrole/2008/variable-filter" complement="false" cover="true" xlink:from="lbl126112" xlink:to="lbl126115"/>
    <cf:conceptName xlink:type="resource" id="FRM_510000_001_EfectivoAnterior_FC" xlink:label="lbl126117">
      <cf:concept>
        <cf:qname>ifrs-full:CashAndCashEquivalents</cf:qname>
      </cf:concept>
    </cf:conceptName>
    <variable:variableFilterArc xlink:type="arc" xlink:arcrole="http://xbrl.org/arcrole/2008/variable-filter" complement="false" cover="true" xlink:from="lbl126116" xlink:to="lbl126117"/>
    <df:explicitDimension xlink:type="resource" id="FRM_510000_001_EfectivoAnterior_EDF" xlink:label="lbl126118">
      <df:dimension>
        <df:qname>co-sspd-ef-Grupo1:EstadoFlujosEfectivoDirectoEje</df:qname>
      </df:dimension>
      <df:member>
        <df:qname>co-sspd-ef-Grupo1:TotalFlujosEfectivoAcumuladoMember</df:qname>
      </df:member>
    </df:explicitDimension>
    <variable:variableFilterArc xlink:type="arc" xlink:arcrole="http://xbrl.org/arcrole/2008/variable-filter" complement="false" cover="true" xlink:from="lbl126116" xlink:to="lbl126118"/>
    <pf:periodInstant xlink:type="resource" id="FRM_510000_001_EfectivoAnterior_PIF" date="xs:date('2024-12-31')" xlink:label="lbl126119"/>
    <variable:variableFilterArc xlink:type="arc" xlink:arcrole="http://xbrl.org/arcrole/2008/variable-filter" complement="false" cover="true" xlink:from="lbl126116" xlink:to="lbl126119"/>
    <cf:conceptName xlink:type="resource" id="FRM_510000_002_VariacionEfectivo_FC" xlink:label="lbl126125">
      <cf:concept>
        <cf:qname>ifrs-full:IncreaseDecreaseInCashAndCashEquivalents</cf:qname>
      </cf:concept>
    </cf:conceptName>
    <variable:variableFilterArc xlink:type="arc" xlink:arcrole="http://xbrl.org/arcrole/2008/variable-filter" complement="false" cover="true" xlink:from="lbl126124" xlink:to="lbl126125"/>
    <df:explicitDimension xlink:type="resource" id="FRM_510000_002_VariacionEfectivo_EDF" xlink:label="lbl126126">
      <df:dimension>
        <df:qname>co-sspd-ef-Grupo1:EstadoFlujosEfectivoDirectoEje</df:qname>
      </df:dimension>
      <df:member>
        <df:qname>co-sspd-ef-Grupo1:TotalFlujosEfectivoAcumuladoMember</df:qname>
      </df:member>
    </df:explicitDimension>
    <variable:variableFilterArc xlink:type="arc" xlink:arcrole="http://xbrl.org/arcrole/2008/variable-filter" complement="false" cover="true" xlink:from="lbl126124" xlink:to="lbl126126"/>
    <pf:periodEnd xlink:type="resource" id="FRM_510000_002_VariacionEfectivo_PEF" date="xs:date('2024-12-31')" xlink:label="lbl126127"/>
    <variable:variableFilterArc xlink:type="arc" xlink:arcrole="http://xbrl.org/arcrole/2008/variable-filter" complement="false" cover="true" xlink:from="lbl126124" xlink:to="lbl126127"/>
    <cf:conceptName xlink:type="resource" id="FRM_510000_002_EfectivoActual_FC" xlink:label="lbl126129">
      <cf:concept>
        <cf:qname>ifrs-full:CashAndCashEquivalents</cf:qname>
      </cf:concept>
    </cf:conceptName>
    <variable:variableFilterArc xlink:type="arc" xlink:arcrole="http://xbrl.org/arcrole/2008/variable-filter" complement="false" cover="true" xlink:from="lbl126128" xlink:to="lbl126129"/>
    <df:explicitDimension xlink:type="resource" id="FRM_510000_002_EfectivoActual_EDF" xlink:label="lbl126130">
      <df:dimension>
        <df:qname>co-sspd-ef-Grupo1:EstadoFlujosEfectivoDirectoEje</df:qname>
      </df:dimension>
      <df:member>
        <df:qname>co-sspd-ef-Grupo1:TotalFlujosEfectivoAcumuladoMember</df:qname>
      </df:member>
    </df:explicitDimension>
    <variable:variableFilterArc xlink:type="arc" xlink:arcrole="http://xbrl.org/arcrole/2008/variable-filter" complement="false" cover="true" xlink:from="lbl126128" xlink:to="lbl126130"/>
    <pf:periodInstant xlink:type="resource" id="FRM_510000_002_EfectivoActual_PIF" date="xs:date('2024-12-31')" xlink:label="lbl126131"/>
    <variable:variableFilterArc xlink:type="arc" xlink:arcrole="http://xbrl.org/arcrole/2008/variable-filter" complement="false" cover="true" xlink:from="lbl126128" xlink:to="lbl126131"/>
    <cf:conceptName xlink:type="resource" id="FRM_510000_002_EfectivoAnterior_FC" xlink:label="lbl126133">
      <cf:concept>
        <cf:qname>ifrs-full:CashAndCashEquivalents</cf:qname>
      </cf:concept>
    </cf:conceptName>
    <variable:variableFilterArc xlink:type="arc" xlink:arcrole="http://xbrl.org/arcrole/2008/variable-filter" complement="false" cover="true" xlink:from="lbl126132" xlink:to="lbl126133"/>
    <df:explicitDimension xlink:type="resource" id="FRM_510000_002_EfectivoAnterior_EDF" xlink:label="lbl126134">
      <df:dimension>
        <df:qname>co-sspd-ef-Grupo1:EstadoFlujosEfectivoDirectoEje</df:qname>
      </df:dimension>
      <df:member>
        <df:qname>co-sspd-ef-Grupo1:TotalFlujosEfectivoAcumuladoMember</df:qname>
      </df:member>
    </df:explicitDimension>
    <variable:variableFilterArc xlink:type="arc" xlink:arcrole="http://xbrl.org/arcrole/2008/variable-filter" complement="false" cover="true" xlink:from="lbl126132" xlink:to="lbl126134"/>
    <pf:periodInstant xlink:type="resource" id="FRM_510000_002_EfectivoAnterior_PIF" date="xs:date('2023-12-31')" xlink:label="lbl126135"/>
    <variable:variableFilterArc xlink:type="arc" xlink:arcrole="http://xbrl.org/arcrole/2008/variable-filter" complement="false" cover="true" xlink:from="lbl126132" xlink:to="lbl126135"/>
  </gen:link>
</link:linkbase>